Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload
Interface ProgressListener

    public interface ProgressListener

The `ProgressListener` may be used to display a progress bar or do stuff like that.

Version:
  $Id: ProgressListener.java 1456935 2013-03-15 12:47:29Z markt $

Method Summary
`void` `update(long pBytesRead, long pContentLength, int pItems)` Updates the listeners status information.

Method Detail

### update

    void update(long pBytesRead,
                long pContentLength,
                int pItems)

  Updates the listeners status information.

  Parameters:
    `pBytesRead` - The total number of bytes, which have been read so far.
    `pContentLength` - The total number of bytes, which are being read. May be -1, if this number is unknown.
    `pItems` - The number of the field, which is currently being read. (0 = no item so far, 1 = first item is being read, ...)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.